Package com.smartgwt.client.widgets.events

# Interface HasDragStopHandlers

All Superinterfaces:
  `HasHandlers`

All Known Implementing Classes:
  `AceEditor`, `ActiveXControl`, `AdaptiveMenu`, `AdvancedHiliteEditor`, `AISortProgressDialog`, `AIWindow`, `BatchUploader`, `BatchUploader`, `BatchUploader`, `BrowserPlugin`, `BuildUIViaAIProgressDialog`, `BuildViaAIProgressDialog`, `Button`, `Calendar`, `CalendarView`, `Canvas`, `ColorPicker`, `ColumnTree`, `CSSEditor`, `CubeGrid`, `DataView`, `DateChooser`, `DateGrid`, `DateRangeDialog`, `Deck`, `DetailViewer`, `Dialog`, `DrawKnob`, `DrawPane`, `DynamicForm`, `EdgedCanvas`, `EditPane`, `EditSearchWindow`, `EditTree`, `EventCanvas`, `FacetChart`, `FieldPicker`, `FieldPickerWindow`, `FilterBuilder`, `FilterClause`, `FilterViaAIProgressDialog`, `Flashlet`, `FlowLayout`, `Gauge`, `GradientEditor`, `GridRenderer`, `HeaderControl`, `HiliteEditor`, `HiliteRule`, `HiliteViaAIProgressDialog`, `HLayout`, `HStack`, `HTMLFlow`, `HTMLPane`, `IButton`, `IconButton`, `IconMenuButton`, `IMenuButton`, `Img`, `ImgButton`, `ImgSectionHeader`, `ImgSplitbar`, `ImgTab`, `IndicatorCanvas`, `Label`, `Layout`, `LayoutSpacer`, `ListGrid`, `ListPalette`, `ListPropertiesDialog`, `ListPropertiesPane`, `Menu`, `MenuBar`, `MenuButton`, `MenuPalette`, `MiniNavControl`, `MultiFilePicker`, `MultiGroupDialog`, `MultiGroupPanel`, `MultiSortDialog`, `MultiSortPanel`, `NavigationBar`, `NavigationButton`, `NavPanel`, `PickListMenu`, `PortalLayout`, `Portlet`, `PrintCanvas`, `PrintWindow`, `Progressbar`, `PropertySheet`, `RangeSlider`, `RecordEditor`, `Reify`, `RibbonBar`, `RibbonButton`, `RibbonGroup`, `RibbonMenuButton`, `RichTextEditor`, `RowRangeDisplay`, `SavedSearchEditor`, `ScreenLoader`, `Scrollbar`, `SearchForm`, `SectionHeader`, `SectionStack`, `SelectionTreeMenu`, `SeleneseRecorder`, `Shuttle`, `SimpleTile`, `Slider`, `Snapbar`, `Splitbar`, `SplitPane`, `StatefulCanvas`, `StretchImg`, `StretchImgButton`, `SVG`, `TabBar`, `TableView`, `TabSet`, `TileGrid`, `TileLayout`, `TilePalette`, `Timeline`, `ToggleSwitch`, `Toolbar`, `ToolStrip`, `ToolStripButton`, `ToolStripGroup`, `ToolStripMenuButton`, `ToolStripResizer`, `ToolStripSeparator`, `ToolStripSpacer`, `TourWindow`, `TransferImgButton`, `TreeGrid`, `TreeMenuButton`, `TreePalette`, `ViewLoader`, `VLayout`, `VStack`, `WidgetCanvas`, `Window`, `ZoneCanvas`

public interface HasDragStopHandlers extends HasHandlers

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HandlerRegistration`
  `addDragStopHandler(DragStopHandler handler)`
  Executed when the mouse button is released at the end of the drag.

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Method Details

  - ### addDragStopHandler

    HandlerRegistration addDragStopHandler(DragStopHandler handler)
    Executed when the mouse button is released at the end of the drag. Your widget can use this opportunity to fire code based on the last location of the drag or reset any visual state that was sent.
    Parameters:
      `handler` - the dragStop handler
    Returns:
      `HandlerRegistration` used to remove this handler